IARRAY_REGISTER_DATA_CHANGE_FUNC(3)

EXPERIMENTAL_FUNC
iarray_register_data_change_func - Register data change function for an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

KCallbackFunc iarray_register_data_change_func

(iarray array, void (*func) (void *info), void *info)

DESCRIPTION
Register data change function for an Intelligent Array.

array
    The Intelligent Array.

func
    The routine that is called when the the underlying array data are changed.

info
    The arbitrary information pointer.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/